> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Google Autocomplete

> Google Autocomplete API allows you to get suggestions for a keyword.

<ResponseExample>
  ```json 200 theme={null}
  {
    "searchParameters": {
          "q": "landing on",
      "hl": "en",
      "type": "autocomplete",
      "location": "",
      "engine": "google",
      "gl": "us"
    },
    "suggestions": [
      {
        "value": "landing on the moon"
      },{
        "value": "landing on you"
      },{
        "value": "landing on the hudson"
      },{
        "value": "landing on the moon date"
      },{
        "value": "landing on mars"
      },{
        "value": "landing on an aircraft carrier"
      },{
        "value": "landing on water"
      },{
        "value": "landing on the moon video"
      },{
        "value": "landing on the moon 1969"
      },{
        "value": "landing on venus"
      }
    ],
    "credits": 1
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/google-autocomplete
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/google-autocomplete:
    get:
      tags:
        - Workflow
      description: Triggers the workflow google-autocomplete
      operationId: get_wf_google-autocomplete
      parameters:
        - name: q
          in: query
          required: true
          description: >-
            Parameter defines the query you want to search. You can use anything
            that you would use in a regular Google search.
          schema:
            type: string
        - name: gl
          in: query
          required: true
          description: >-
            Parameter defines the country to use for the Google search. It's a
            two-letter country code. (e.g., `us` for the United States, `uk` for
            United Kingdom, or `fr` for France) [Country
            List](/api-reference/other/countries)
          schema:
            type: string
            default: us
        - name: hl
          in: query
          required: true
          description: >-
            Parameter defines the language to use for the Google search. It's a
            two-letter language code. (e.g., `en` for English, `es` for Spanish,
            or `fr` for French). [Languages
            List](/api-reference/other/languages)
          schema:
            type: string
            default: en
        - name: location
          in: query
          required: false
          description: >-
            This optional parameter determines where your Google search
            originates, allowing for more specific locations such as cities and
            neighborhoods.

             Examples: 
            - Country: `United States` 

            - State: `California, United States` 

            - Region: `San Fransisco Bay Area, United States` 

            - City: `London, England, United Kingdom` 

            - Neighborhood: `SoHo, Ney York, United States` 

            - Airport: `Dubai International Airport, Dubai, United Arab
            Emirates`
          schema:
            type: string
        - name: autocorrect
          in: query
          required: false
          description: '`true` , `false`'
          schema:
            type: boolean
            default: 'true'
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````